#! /bin/sh

dirname=$(dirname "`readlink -f "$0"`")

tmp="${dirname#?}"

if [ "${dirname%$tmp}" != "/" ]; then
    dirname=$PWD/$dirname
fi
MAFFT_BINARIES="$dirname"/mafftdir/libexec; export MAFFT_BINARIES;

arguments=""
while [ $# -gt 1 ];
do
	arguments=$arguments" "$1
	shift
done

"$dirname/mafftdir/bin/mafft" $arguments "$1"
# $1 can have space in file name
